none
WinCe 5.0 SDK安装不上 RRS feed

  • 问题

  • 小弟用到了“研华”的“无风扇嵌入式PC(UNO-2050EME-SE)”,它的操作系统时WinCE 5.0.

    问题一:安装“研华”指定的“WinCE5.0 SDK”时,发生了错误。(WinCE 6.0 SDK安装没问题)信息如下。


    怎么办?是因为操作系统是“Win7 64Bit”的原因吗?还是因为先安装了“WinCE 6.0的SDK”???

    问题二:做WinCE5.0下的开发,要用VS2005的对吧?VS2008和WinCE6.0集成的比较好,不适合“WinCE5.0”是吗?

    问题三:VS2008不是和“WinCE6.0”结合的比较好吗?为什么它自带的模拟器都是“WinCE 5.0”的?如下图:




    小弟刚开始 WinCE,以前是做Web Winform和Windows Phone开发的,还在搭建开发环境,谢谢各位了。
    有精到广,做出自己的特色。
    2012年2月2日 10:40

答案

  • 你好,

    我记得没错的话,剪裁一个CE5.0的内核,是需要PB5的,而PB5是一个单独的软件。

    从CE6开始,PB才作为VS2005的一个插件存在。如果你需要Build一个针对特定目标板的CE5内核,需要使用PB5,和VS没有关系。

    另外,你所说的OEM厂商给你的CE5 SDK,是针对他们自己的板子,用于针对该板子做应用开发。


    Keep Fighting

    • 已标记为答案 starrycheng 2012年2月14日 13:25
    2012年2月11日 11:36

全部回复

  • 你好,

    首先,建议在Win7的环境下安装VS2008. VS2005在WIN7下面很不稳定。

    VS2008可以进行WINCE5的开发,请参考这篇文章的配置方法

    http://www.cnblogs.com/liping13599168/archive/2011/01/18/1937873.html

     

    PS如果图片不能正常显示,建议先上传到 skydriver上,然后再把link贴回来。

    致礼


    Jesse Jiang [MSFT]
    MSDN Community Support | Feedback to us
    2012年2月6日 7:11
    版主
  • 你好,

    首先,建议在Win7的环境下安装VS2008. VS2005在WIN7下面很不稳定。

    VS2008可以进行WINCE5的开发,请参考这篇文章的配置方法

    http://www.cnblogs.com/liping13599168/archive/2011/01/18/1937873.html

     

    PS如果图片不能正常显示,建议先上传到 skydriver上,然后再把link贴回来。

    致礼


    Jesse Jiang [MSFT]
    MSDN Community Support | Feedback to us

    “VS2008”和“WinCE 5.0”没有很好的整合,不好做“Debug”吧。。。


    有精到广,做出自己的特色。

    2012年2月7日 9:22
  • 你好,

    我记得没错的话,剪裁一个CE5.0的内核,是需要PB5的,而PB5是一个单独的软件。

    从CE6开始,PB才作为VS2005的一个插件存在。如果你需要Build一个针对特定目标板的CE5内核,需要使用PB5,和VS没有关系。

    另外,你所说的OEM厂商给你的CE5 SDK,是针对他们自己的板子,用于针对该板子做应用开发。


    Keep Fighting

    • 已标记为答案 starrycheng 2012年2月14日 13:25
    2012年2月11日 11:36